Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000583SpeedFanOtherpublic2006-06-15 18:502009-02-14 14:07
Reporterbasje 
Assigned Toalfredo 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformPentium 4OSWindows XPOS VersionXP
Product Version 
Target VersionFixed in Version4.28 
Summary0000583: HD read-errors while Speedfan is running
DescriptionI have a Promise SATA150 TX2 serial ata card with two Western Digital HD's. One of those drives started giving the SATA150 card read-timeouts:

"The device, \Device\Scsi\UlSata1, did not respond within the timeout period."

So I assumed the HD was dead. I issued a RMA and WD sent me a new HD.....which during the first format again gave the same problems and evenutally DIED! Now WD was nice and again gave me a replacement and larger HD! And again at the first format the drive gave me a read-timeouts again.

Now during this period I have tried to pinpoint the problem: bought a new powersupply, new GPU, new SATA controler and did extensive memory testing. All to conclude that the problem is still present.

Until today: I decided to format the HD while SF was disabled! And the result was that there were no errors! So I think something is wrong.
Additional Information- SF does give the wrong HD names: it does Name Byteswapping which ends up with the wrong name
- I had both ISA and SMBus enabled. And the temperature of the HD's were the only parameter that were read via ISA. The others (CPU temp, fan speeds) was done with SMBus.
TagsNo tags attached.
Motherboard Model
Video Card Model
Attached Files

- Relationships

-  Notes
(0001768)
basje (reporter)
2006-06-15 20:14

- I had both ISA and SMBus enabled. And the temperature of the HD's were the only parameter that were read via ISA. The others (CPU temp, fan speeds) was done with SMBus.

Correction: the HD temperature was read from SMART data. Just ran SF with /nosmartscan to see if that results in problems.
(0001828)
almico (administrator)
2006-07-28 09:19

This is a kind of issue that, in years, I never heard of. My guess is that you are using a driver combination that has got issues and that SpeedFan surfaces.
(0001849)
almico (administrator)
2006-08-05 13:01

Any update?
If I don't get any answer I will assume you simply experienced a side effect from something that had nothing to do with SpeedFan and that SpeedFan was not the real cause.

P.S.: SpeedFan 4.28 and later properly handle byteswapped HD names. Please, note that when byteswapped names are returned it is a driver issue and not from SpeedFan.

- Issue History
Date Modified Username Field Change
2006-06-15 18:50 basje New Issue
2006-06-15 20:14 basje Note Added: 0001768
2006-07-28 09:19 almico Note Added: 0001828
2006-07-28 09:19 almico Status assigned => acknowledged
2006-08-05 13:01 almico Note Added: 0001849
2009-02-14 14:07 alfredo Status acknowledged => resolved
2009-02-14 14:07 alfredo Resolution open => fixed
2009-02-14 14:07 alfredo Fixed in Version => 4.28


Copyright © 2000 - 2018 MantisBT Team
Time: 0.1706 seconds.
memory usage: 8,044 KB
Powered by Mantis Bugtracker